> For the complete documentation index, see [llms.txt](https://docs.eniac.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eniac.network/reference/cli/enid-query/enid-query-evm.md).

# enid query evm

```ansi
Querying commands for the evm module

Usage:
  enid query evm [flags]
  enid query evm [command]

Available Commands:
  erc20           get hex payload for the given inputs
  erc20-payload   get hex payload for the given inputs
  erc721-payload  get hex payload for the given inputs
  evm-addr        gets evm address (0x...) by Eni address (eni...) if account has association set
  payload         get hex payload for the given inputs
  pointer         get pointer address of the specified type (one of [NATIVE, CW20, CW721, ERC20, ERC721]) and pointee
  pointer-version Query for the current pointer version and stored code ID (if applicable)
  eni-addr        gets eni address (eni...) by EVM address (0x...) if account has association set

Flags:
  -h, --help   help for evm

Global Flags:
      --chain-id string     The network chain ID
      --home string         directory for config and data (default "~/.eni")
      --log_format string   The logging format (json|plain)
      --log_level string    The logging level (trace|debug|info|warn|error|fatal|panic)
      --trace               print out full stack trace on errors

Use "enid query evm [command] --help" for more information about a command.

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eniac.network/reference/cli/enid-query/enid-query-evm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
